<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}

spl_autoload_register(function ($class_name) {

	global $_ADMIN;

	if (!stristr($class_name , "StemBase")) {
		return false;
	}
	

	$path = str_ireplace("Stembase\\Modules\\" , "" , $class_name);
	$path = _MODPATH . strtolower(str_replace("\\", "/" , $path) . ".php");

	if (file_exists($path)) {
		include_once $path;
	}


});